	var LC_CONTROL_LOADED				= 1;
	var LC_SIM_INITIALIZED				= 2;
	var LC_SIM_PLAYING    				= 3;
	var LC_SIM_PAUSED     				= 4;
	var LC_SIM_STOPPED    				= 5;
	var LC_AUDIO_ON						= 6;
	var LC_AUDIO_OFF						= 7;
	var LC_TEXT_ON							= 8;
	var LC_TEXT_OFF						= 9;
	var LC_SIM_LOADED						= 10;		

	switch (iStatus)
	{
		case LC_CONTROL_LOADED: // The simulation control has loaded
			var sPath = window.location.href;
			
			var nPos = sPath.lastIndexOf("/");
			if (nPos != -1)	
				sPath = sPath.substring(0,nPos);
			LCSim.ServerRootPath = sPath;
			LCSim.Initialize();
			break;
		case LC_SIM_INITIALIZED:	// The simulation control is initialized and ready for commands	
			LCSim.Load();
			setStatus (iStatus, dashText);
			break;
		case LC_SIM_PLAYING: // The simulation is playing. This status is in response to a call to the PlaySimulation method
			setStatus (iStatus, dashText);
			break;
		case LC_SIM_PAUSED: // The simulation is paused. This status is in response to a call to the PauseSimulation method
			setStatus (iStatus, dashText);
			break;
		case LC_SIM_STOPPED: // The simulation is stopped. This status is in response to a call to the StopSimulation method
			setStatus (iStatus, dashText);
			break;
		case LC_AUDIO_ON: // Audio is toggled on. This status is in response to a call to the ToggleAudio method
			setStatus (iStatus, dashText);
			break;
		case LC_AUDIO_OFF: // Audio is toggled off. This status is in response to a call to the ToggleAudio method
			setStatus (iStatus, dashText);
			break;
		case LC_TEXT_ON: // Text is toggled on. This status is in response to a call to the ToggleText method
			setStatus (iStatus, dashText);
			break;
		case LC_TEXT_OFF: // Text is toggled off. This status is in response to a call to the ToggleText method
			setStatus (iStatus, dashText);
			break;
		case LC_SIM_LOADED:
			setStatus (iStatus, dashText);
//			LCSim.PlaySimulation();
			break;
	}